package com.xinelu.manage.mapper.goodsAttribute;

import com.xinelu.manage.domain.goodsAttribute.GoodsAttribute;
import com.xinelu.manage.dto.goodsInfo.GoodsAttributeDTO;
import org.apache.ibatis.annotations.Param;
import java.util.List;


/**
 * 商品属性Mapper接口
 *
 * @author xinyilu
 * @date 2022-10-17
 */
public interface GoodsAttributeMapper {
    /**
     * 查询商品属性
     *
     * @param id 商品属性主键
     * @return 商品属性
     */
    GoodsAttribute selectGoodsAttributeById(Long id);

    /**
     * 查询商品属性列表
     *
     * @param goodsAttribute 商品属性
     * @return 商品属性集合
     */
    List<GoodsAttribute> selectGoodsAttributeList(GoodsAttribute goodsAttribute);

    /**
     * 新增商品属性
     *
     * @param goodsAttribute 商品属性
     * @return 结果
     */
    int insertGoodsAttribute(GoodsAttribute goodsAttribute);

    /**
     * 修改商品属性
     *
     * @param goodsAttribute 商品属性
     * @return 结果
     */
    int updateGoodsAttribute(GoodsAttribute goodsAttribute);

    /**
     * 删除商品属性
     *
     * @param id 商品属性主键
     * @return 结果
     */
    int deleteGoodsAttributeById(Long id);

    /**
     * 批量删除商品属性
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteGoodsAttributeByIds(Long[] ids);


    /**
     * 批量新增商品属性
     *
     * @param goodDetailsLists 商品属性
     * @return int
     **/
    int insertGoodsAttributeList(@Param("goodDetailsLists") List<GoodsAttributeDTO> goodDetailsLists);

    /**
     * 新增商品属性
     *
     * @param goodsAttribute 商品属性
     * @return 结果
     */
    int insertGoodsAttributes(GoodsAttributeDTO goodsAttribute);


    /**
     * 修改商品属性
     *
     * @param goodsAttribute 商品属性
     * @return 结果
     */
    int updateGoodsAttributes(GoodsAttributeDTO goodsAttribute);

    /**
     * 查询商品属性列表
     *
     * @param goodsId 商品id
     * @return 商品属性集合
     */
    Long[] selectGoodsAttributeByIdList(Long[] goodsId);

}
